TU-Berlin | → | Inst. f. Mathematik | → | Algebra und Zahlentheorie | → | KASH | → | Documentation | → | Reference Manual

| KASH3 Reference Manual

Introduction | Reference Manual | Index

search

### Function

HasRoot ( elt-alg^pol F, rng S ) -> elt-alg^boo, elt-rng

### Optional Arguments

Results | elt-ord^rat |  | 1 <= Results <= 2

### Description

<shortdoc> True iff F has a root in the extension ring S; if true, a root (in S) of F is also returned. </shortdoc>

### Examples

HasRoot(X^2+4,R);

| Built: Mon Nov 14 21:12:39 UTC 2005 on mack